Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class EntityMode

    java.lang.Object
      org.hibernate.EntityMode

All Implemented Interfaces:
  Serializable

    public class EntityMode

extends Object
implements Serializable

Defines the representation modes available for entities.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static EntityMode` | `DOM4J`
`static EntityMode` | `MAP`
`static EntityMode` | `POJO`

Constructor Summary
`EntityMode(String name)`

Method Summary
`static EntityMode` | `parse(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POJO

    public static final EntityMode POJO

### DOM4J

    public static final EntityMode DOM4J

### MAP

    public static final EntityMode MAP

Constructor Detail

### EntityMode

    public EntityMode(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### parse

    public static EntityMode parse(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.